import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRCameraAVStreamManagementClusterVideoResolutionStruct } from "./MTRCameraAVStreamManagementClusterVideoResolutionStruct.js";
export declare class _MTRCameraAVStreamManagementClusterSnapshotCapabilitiesStruct extends _NSObject {
    static alloc(): _MTRCameraAVStreamManagementClusterSnapshotCapabilitiesStruct;
    static new(): _MTRCameraAVStreamManagementClusterSnapshotCapabilitiesStruct;
    init(): _MTRCameraAVStreamManagementClusterSnapshotCapabilitiesStruct;
    resolution(): _MTRCameraAVStreamManagementClusterVideoResolutionStruct;
    setResolution$(value: _MTRCameraAVStreamManagementClusterVideoResolutionStruct): void;
    maxFrameRate(): _NSNumber;
    setMaxFrameRate$(value: _NSNumber): void;
    imageCodec(): _NSNumber;
    setImageCodec$(value: _NSNumber): void;
    requiresEncodedPixels(): _NSNumber;
    setRequiresEncodedPixels$(value: _NSNumber): void;
    requiresHardwareEncoder(): _NSNumber | null;
    setRequiresHardwareEncoder$(value: _NSNumber | null): void;
}
export interface _MTRCameraAVStreamManagementClusterSnapshotCapabilitiesStruct extends _NSCopying {
}
